Subject: Re: [MIB-DOCTORS] 答复: The Status of the CAPWAP WG MIB issues

From: "Bert (IETF) Wijnen" <[email-masked]>
Date: Mon, 21 Dec 2009 13:31:13 +0100

Richard, thanks for your responses.

Still one comment:

young wrote:
>
> Hi, Bert:
>
>
> I noticed:
>
> capwapBaseAcNameListName OBJECT-TYPE
> SYNTAX OCTET STRING(SIZE(512))
> MAX-ACCESS read-create
> STATUS current
> DESCRIPTION
> "Represents the name of an AC, and it is expected to be
> an UTF-8 encoded string."
> REFERENCE
> "Section 4.6.5. of CAPWAP Protocol Specification, RFC 5415."
> ::= { capwapBaseAcNameListEntry 2 }
>
> It seems weird to me (now taht I see this) that the size should be
> exact 512 octets ????
>
> Did you mean max size 512 octets? There is probably a minimum size too?
>
> And if it is UTF-8 , then it would be much better to use a proper
> UTF-8 syntax.
>
> If you look here: http://ops.ietf.org/mib-common-tcs.html
>
> you can find pointers/suggestions.
>
> If the size needs to be 512, then LongUtf8String seems the one to
> choose (with a SIZE of course).
>
> [Richard]
>
> Oh, a mistake. It should be OCTET STRING (SIZE(1..512)) for
> capwapBaseAcNameListName.
>
> The capwapBaseWtpProfileWtpName and capwapBaseWtpProfileWtpLocation
> need changes.
>
> capwapBaseWtpProfileWtpName OBJECT-TYPE
>
> SYNTAX OCTET STRING (SIZE(1..512))
>

OK, that is good for the SIZE (although 1 seems very short. But that is
what the RFC5415
specifies, so fine). But RFC5415 slaso states that it is a UTF-8 string,
ans so does your
DESCRITPION clause. So I would STRONGLY recommend to use longUtf8String
as the
SYNTAX. You have to import it from the SYSAPPL-MIB [RFC2287]: Or, if you
do not
want to epend on that RFC, then define a UTF-8 based TC yourself. That
is to say,
I would prefer a UTF-8 based TC as SYNTAX over a OCTET-STRING.
OCTET STRING is not strictly an error though, so if the WG really wants
to keep
that, then pls check with yoru AD if he is OK with that.

Bert